New URL for NEMO forge!   http://forge.nemo-ocean.eu

Since March 2022 along with NEMO 4.2 release, the code development moved to a self-hosted GitLab.
This present forge is now archived and remained online for history.
#1620 (SIMPLIF-2 / MERCATOR-9: Suppression of solvers) – NEMO

Opened 7 years ago

Closed 6 years ago

Last modified 5 years ago

#1620 closed Task (fixed)

SIMPLIF-2 / MERCATOR-9: Suppression of solvers

Reported by: jchanut Owned by: nemo
Priority: low Milestone: 2015 simplification
Component: OCE Version: trunk
Severity: Keywords: free_surface simplification
Cc:

Description

Commit History (5)

ChangesetAuthorTimeChangeLog
5930jchanut2015-11-26T17:07:10+01:00

#1620 Merge free surface simplification into trunk

5917jchanut2015-11-25T11:03:43+01:00

Free surface simplification #1620. Step 4 (Final): add Gurvan's suggestions

5902jchanut2015-11-20T10:58:48+01:00

Free surface simplification #1620. Step 3: Step readibility, suppress cpp key_dynspg_xxx

5869jchanut2015-11-09T11:51:12+01:00

Free surface simplification #1620. Step 2: suppress implicit pressure gradient

5868jchanut2015-11-06T19:07:02+01:00

Free surface simplification #1620. Step 1: suppress filtered free surface

Change History (7)

comment:2 Changed 6 years ago by jchanut

The branch has been merged with trunk@5926. No elliptic problem in the code anymore. 30 years later ;)

SETTE tests are ok. C1D checked but issue with missing mpp routines in mono tasking (cf #1628).

AGRIF compliant with both explicit and split-explicit free surface.

AMM12 and ORCA2_LIM3, which both used split-explicit free surface, give identical results as previous revision (from solver.stat SETTE test). Since split-explicit free surface is now the default, results for other reference configurations are expected to be different.

Overall changes here:

https://forge.ipsl.jussieu.fr/nemo/changeset/5930/

comment:3 Changed 6 years ago by jchanut

  • Resolution set to fixed
  • Status changed from new to closed

comment:4 Changed 6 years ago by nicolasmartin

  • Keywords free added; Free removed

comment:5 Changed 6 years ago by nicolasmartin

  • Keywords free_surface added; free removed

comment:6 Changed 6 years ago by nicolasmartin

  • Keywords surface removed

comment:7 Changed 5 years ago by nemo

  • Type changed from Development to Task

Remove 'Development' type

Note: See TracTickets for help on using tickets.